﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:local="clr-namespace:LifeExpectancy_"
             x:Class="LifeExpectancy_.MainPage">

    <StackLayout Margin="10,35,10,10">
        <Label Text="Life Expectancy Calculator - Demo"
               HorizontalOptions="Center"
               FontAttributes="Bold" />
        <Label Text="Date of birth:"/>
        <DatePicker x:Name="dob" MinimumDate="01/01/1950"
            MaximumDate="01/01/9999"
            Date="{Binding SelectedDate}"
            DateSelected="OnDateSelected"
            HorizontalOptions="Start"/>

        <Picker Title="Select a country" 
                    ItemsSource="{Binding Countries}" 
                    ItemDisplayBinding="{Binding Name}"
                    SelectedItem="{Binding SelectedCountry}"
                    SelectedIndexChanged="OnCountryClicked"
                    HorizontalOptions="Start"
                    x:Name="ddlCountry"
                />

        <Label Text=""
               HorizontalOptions="Start"
               x:Name="lblRemainingLife"
               />
        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>
            
        </Grid>
    </StackLayout>

</ContentPage>
